Subject: ACL support ?

From: Gildas PERROT <[email-masked]>
Date: Thu, 29 Apr 1999 20:52:01 +0200

Thanks a lot, Greg, for your translation !
Do you know if there any project of an UNIX FTP server with Solaris of HP/UX 
ACL support ?

Thanks in advance for your help.

> Greg Wrote:
> > 3) I would like to set different FTP file access permissions for
> > several groups on directories.
> > 
> > Suppose I have 2 directories dir1 and dir2 and I want to create :
> > 
> > - group1 who has W access to dir1 and dir2
> > - group2 who has W access to dir1 only
> > - group3 who has R access to dir1 and dir2
> > - group4 who has R access to dir1 only
> > - group5 who has R&W access to dir1 and dir2
> > - group6 who has R&W access to dir1 only
> > 
> > Is it possible to implement that with BeroFTP or do I need another package ?
> 
> No, BeroFTPD won't do it.  No, another package won't help.  What you need
> is a book on Unix.
> 
> 
> Translation:
> 
> You cannot do this on a Unix system. Why would you expect ftp to be able to?
> 
> For your own protection, please read the pages regarding Unix permissions:
> user, group, and other .
> 
> 'man chmod' will get most of it.
> 
> On systems with ACLs, this is possible; but ACLs are not part of standard
> Unix and are not supported on wu-ftpd.
> 
> Chad
> 
> Chad Price
> Systems Manager
> University of Nebraska Medical Center
> 600 S 42nd St
> Omaha, NE 68506-6495
> [email-masked]
> (402) 559-9527 
> (402) 559-4077 (FAX)
> 
> 

-- 
Gildas PERROT, [email-masked]         __o
FranceNet, 28 rue Desaix, 75015 Paris ---_ \<,_
http://www.francenet.fr            ---- (_)/ (_)